SELECT *
FROM EMPLOYEES

-- AVG()
-- COUNT() 
-- MAX()
-- MIN()
-- STDDEV()
-- SUM()
-- VARIANCE()

SELECT <columns> FROM <tables> [WHERE <conditions>] [ORDER BY <colums>]

SELECT AVG(SALARY) AS AVERANGE
      ,MAX(SALARY) AS MAX
      ,MIN(SALARY) AS MIN
      ,SUM(SALARY) AS SUM
FROM EMPLOYEES

SELECT COUNT(*)
FROM EMPLOYEES

SELECT COUNT(SALARY)
FROM EMPLOYEES

SELECT *
FROM EMPLOYEES

SELECT COUNT(DISTINCT DEPARTMENT_ID)
FROM EMPLOYEES

SELECT <columns> FROM <tables> 
[WHERE <conditions>] 
[GROUP BY <columns>]
[HAVING <conditions>]
[ORDER BY <columns>]

SELECT DEPARTMENT_ID
      ,AVG(SALARY)
FROM EMPLOYEES
GROUP BY DEPARTMENT_ID

SELECT DEPARTMENT_ID
      ,AVG(SALARY)
FROM EMPLOYEES
GROUP BY DEPARTMENT_ID
ORDER BY DEPARTMENT_ID

SELECT DEPARTMENT_ID
      ,JOB_ID
      ,AVG(SALARY)
FROM EMPLOYEES
GROUP BY DEPARTMENT_ID, JOB_ID
ORDER BY DEPARTMENT_ID

SELECT DEPARTMENT_ID
      ,JOB_ID
      ,AVG(SALARY)
FROM EMPLOYEES
HAVING AVG(SALARY) > 6000
GROUP BY DEPARTMENT_ID, JOB_ID
ORDER BY DEPARTMENT_ID